Jump to content

entmake Donut


jasonle215

Recommended Posts

Hi all,

 

Could you please help me with making a donut in block, i'm not familiar with autolisp syntax...

 

The block contains only a donut and centre at (0,0)

the Donut is yellow, inner radius is 0mm, outer radius is 50mm.

 

Thank you very much. This forum has helped me a lot, thanks admins and mods

Link to comment
Share on other sites

Do you really need a lisp for this jason?

Why not just create one, with the Torus command, !0 seconds maximum, including the time to figure it out, then use the Wblock command, to turn it into a block?

Link to comment
Share on other sites

Do you really need a lisp for this jason?

Why not just create one, !0 seconds maximum, then use the Wblock command, to turn it into a block?

 

I'm trying to make a lisp that automate a series of things and put all together so that you only need a few clicks to finish the job rather than stop to create a block with donut. This could improve efficiency

Link to comment
Share on other sites

The only reason I suggest making a block would be to keep it handy for reuse another time, and you might just drag it into your drawing off a tool palette, for instance. If the location and Torus are always the same you could just save that as an .dwt too.

 

Yet another approach would be to use the Action Recorder, and save an action macro, really simple, no coding involved.

Are you familiar with the Action Recorder?

 

Can't help but ask, as you seemed pretty receptive to the concept of using a Dynamic block, as an alternative to a lisp, and there are so many different ways to do things in Autocad.

 

Have you happened to revisit your Dynamic block thread lately?

Edited by Dadgad
Link to comment
Share on other sites

This routine is part of a program i wrote for isometric dimensioning so some lines can be deleted or need some modification. For example I use vla-addEllipse where you would need add circle and addLine can be deleted too. I needed a solid arrowhead , a donut , but in isometric this would be an ellipse. Thanx to Lee , who pointed me to the command vla-appendouterloop , i came to the idea to entmake a isometric ellipse and then fill it with a solid hatch.

 

 

(defun RlxIso_CreateSolidDotArrow ( blkname / acObj docObj spcObj hatObj linObj ellObj blkObj)
 (setq acObj (vlax-get-acad-object) docObj (vla-get-ActiveDocument acObj))
 (setq spcObj (vlax-get-property docObj (if (= 1 (getvar 'cvport)) 'paperspace 'modelspace)))
 (setq hatObj (vla-AddHatch spcObj acHatchPatternTypePreDefined "solid" :vlax-True))
 (setq linObj (vla-addline spcObj (vlax-3d-point -0.377964 0.0 0.0)(vlax-3d-point -1 0.0 0.0)))
 ;vla-addEllips <space> <center> (= dxf 10) <major axis> (= dxf 11) <radius ratio> (= dxf 40)
 ;ellipse major ax 1 @ 0,0 , minor ax 0.5 , rotate 30 degrees
 (setq ellObj (vla-AddEllipse spcObj (vlax-3d-point 0 0 0)
  (if (wcmatch blkname "*330")
    (vlax-3d-point -0.433013 0.25 0.0) (vlax-3d-point -0.433013 -0.25 0.0)) 0.5))
 (vla-appendouterloop hatObj
   (vlax-make-variant (vlax-safearray-fill (vlax-make-safearray vlax-vbobject '(0 . 0)) (list ellObj))))
 (vla-Evaluate hatObj)
 (setq blkobj (vla-add (vla-get-blocks docObj) (vlax-3d-point 0 0 0) blkname))
 (vla-copyobjects docObj
   (vlax-safearray-fill (vlax-make-safearray vlax-vbobject '(0 . 1)) (list hatObj linObj)) blkObj)
 (mapcar 'vla-delete (list hatObj ellObj linObj))
 (mapcar '(lambda(x)(vl-catch-all-apply 'vlax-release-object (list x)))
  (list acObj docObj spcObj hatObj linObj ellObj blkObj)))


 

 

I hope some parts of the code fills your need.

 

 

Gr.Rlx

Link to comment
Share on other sites

Perhaps this thread would be of some use.

 

I think that a TORUS would give a 3D donut, but you could always have jam or custard with it :lol:

 

If somebody says donut :shock: to me, my mind (what's left of it) just automatically goes into 3D modeling mode, unlike my boyish figure. I am overcome with a profound desire to delete it, and in due time, make a block of it.

 

A really big mug of my famous tepid coffe to wash it down wouldn't hurt either!

 

Doesn't a 2D doughnut, with a center radius of zero, bear an uncanny resemblance to a circle?

 

The link you posted certainly seems to hit the mark eldon. :)

 

Has anybody else ever had occasion to use the Torus command, for anything other than drawing a doughnut?

be still my lard doughnut.jpg

Edited by Dadgad
Link to comment
Share on other sites

Here's how you make a BLOCK ("TEST") and INSERT (@ 10,20,0) containing (1) POLYLINE DOUNUT Inner Radius 0 : Outer Radius 50

 

[b][color=BLACK]([/color][/b]entmake [b][color=FUCHSIA]([/color][/b]list [b][color=NAVY]([/color][/b]cons 0 [color=#2f4f4f]"BLOCK"[/color][b][color=NAVY])[/color][/b][b][color=NAVY]([/color][/b]cons 2 [color=#2f4f4f]"TEST"[/color][b][color=NAVY])[/color][/b][b][color=NAVY]([/color][/b]cons 70 0[b][color=NAVY])[/color][/b][b][color=NAVY]([/color][/b]list 10 0 0 0[b][color=NAVY])[/color][/b][b][color=FUCHSIA])[/color][/b][b][color=BLACK])[/color][/b]
[b][color=BLACK]([/color][/b]entmake [b][color=FUCHSIA]([/color][/b]list [b][color=NAVY]([/color][/b]cons 0 [color=#2f4f4f]"POLYLINE"[/color][b][color=NAVY])[/color][/b][b][color=NAVY]([/color][/b]cons 8 [color=#2f4f4f]"0"[/color][b][color=NAVY])[/color][/b][b][color=NAVY]([/color][/b]cons 66 1[b][color=NAVY])[/color][/b][b][color=NAVY]([/color][/b]cons 10 [b][color=MAROON]([/color][/b]list 0 0 0[b][color=MAROON])[/color][/b][b][color=NAVY])[/color][/b][b][color=NAVY]([/color][/b]cons 40 50[b][color=NAVY])[/color][/b][b][color=NAVY]([/color][/b]cons 41 50[b][color=NAVY])[/color][/b][b][color=FUCHSIA])[/color][/b][b][color=BLACK])[/color][/b]
[b][color=BLACK]([/color][/b]entmake [b][color=FUCHSIA]([/color][/b]list [b][color=NAVY]([/color][/b]cons 0 [color=#2f4f4f]"VERTEX"[/color][b][color=NAVY])[/color][/b][b][color=NAVY]([/color][/b]cons 8 [color=#2f4f4f]"0"[/color][b][color=NAVY])[/color][/b][b][color=NAVY]([/color][/b]cons 10 [b][color=MAROON]([/color][/b]list 25 0 0[b][color=MAROON])[/color][/b][b][color=NAVY])[/color][/b][b][color=NAVY]([/color][/b]cons 40 50[b][color=NAVY])[/color][/b][b][color=NAVY]([/color][/b]cons 41 50[b][color=NAVY])[/color][/b][b][color=NAVY]([/color][/b]cons 42 1[b][color=NAVY])[/color][/b][b][color=FUCHSIA])[/color][/b][b][color=BLACK])[/color][/b]
[b][color=BLACK]([/color][/b]entmake [b][color=FUCHSIA]([/color][/b]list [b][color=NAVY]([/color][/b]cons 0 [color=#2f4f4f]"VERTEX"[/color][b][color=NAVY])[/color][/b][b][color=NAVY]([/color][/b]cons 8 [color=#2f4f4f]"0"[/color][b][color=NAVY])[/color][/b][b][color=NAVY]([/color][/b]cons 10 [b][color=MAROON]([/color][/b]list -25 0 0[b][color=MAROON])[/color][/b][b][color=NAVY])[/color][/b][b][color=NAVY]([/color][/b]cons 40 50[b][color=NAVY])[/color][/b][b][color=NAVY]([/color][/b]cons 41 50[b][color=NAVY])[/color][/b][b][color=NAVY]([/color][/b]cons 42 1[b][color=NAVY])[/color][/b][b][color=FUCHSIA])[/color][/b][b][color=BLACK])[/color][/b]
[b][color=BLACK]([/color][/b]entmake [b][color=FUCHSIA]([/color][/b]list [b][color=NAVY]([/color][/b]cons 0 [color=#2f4f4f]"VERTEX"[/color][b][color=NAVY])[/color][/b][b][color=NAVY]([/color][/b]cons 8 [color=#2f4f4f]"0"[/color][b][color=NAVY])[/color][/b][b][color=NAVY]([/color][/b]cons 10 [b][color=MAROON]([/color][/b]list 25 0 0[b][color=MAROON])[/color][/b][b][color=NAVY])[/color][/b][b][color=NAVY]([/color][/b]cons 40 50[b][color=NAVY])[/color][/b][b][color=NAVY]([/color][/b]cons 41 50[b][color=NAVY])[/color][/b][b][color=NAVY]([/color][/b]cons 42 -1[b][color=NAVY])[/color][/b][b][color=FUCHSIA])[/color][/b][b][color=BLACK])[/color][/b]
[b][color=BLACK]([/color][/b]entmake [b][color=FUCHSIA]([/color][/b]list [b][color=NAVY]([/color][/b]cons 0 [color=#2f4f4f]"SEQEND"[/color][b][color=NAVY])[/color][/b][b][color=NAVY]([/color][/b]cons 8 [color=#2f4f4f]"0"[/color][b][color=NAVY])[/color][/b][b][color=FUCHSIA])[/color][/b][b][color=BLACK])[/color][/b]
[b][color=BLACK]([/color][/b]entmake [b][color=FUCHSIA]([/color][/b]list [b][color=NAVY]([/color][/b]cons 0 [color=#2f4f4f]"ENDBLK"[/color][b][color=NAVY])[/color][/b][b][color=NAVY]([/color][/b]cons 8 [color=#2f4f4f]"0"[/color][b][color=NAVY])[/color][/b][b][color=FUCHSIA])[/color][/b][b][color=BLACK])[/color][/b]
[b][color=BLACK]([/color][/b]entmake [b][color=FUCHSIA]([/color][/b]list [b][color=NAVY]([/color][/b]cons 0 [color=#2f4f4f]"INSERT"[/color][b][color=NAVY])[/color][/b][b][color=NAVY]([/color][/b]cons 2 [color=#2f4f4f]"TEST"[/color][b][color=NAVY])[/color][/b][b][color=NAVY]([/color][/b]cons 8 [color=#2f4f4f]"0"[/color][b][color=NAVY])[/color][/b][b][color=NAVY]([/color][/b]list 10 10 20 0[b][color=NAVY])[/color][/b][b][color=FUCHSIA])[/color][/b][b][color=BLACK])[/color][/b]

 

 

You could use a LWPOLYLINE as well

 

-David

HTH -David

Link to comment
Share on other sites

This routine is part of a program i wrote for isometric dimensioning so some lines can be deleted or need some modification. For example I use vla-addEllipse where you would need add circle and addLine can be deleted too. I needed a solid arrowhead , a donut , but in isometric this would be an ellipse. Thanx to Lee , who pointed me to the command vla-appendouterloop , i came to the idea to entmake a isometric ellipse and then fill it with a solid hatch.

 

 

(defun RlxIso_CreateSolidDotArrow ( blkname / acObj docObj spcObj hatObj linObj ellObj blkObj)
 (setq acObj (vlax-get-acad-object) docObj (vla-get-ActiveDocument acObj))
 (setq spcObj (vlax-get-property docObj (if (= 1 (getvar 'cvport)) 'paperspace 'modelspace)))
 (setq hatObj (vla-AddHatch spcObj acHatchPatternTypePreDefined "solid" :vlax-True))
 (setq linObj (vla-addline spcObj (vlax-3d-point -0.377964 0.0 0.0)(vlax-3d-point -1 0.0 0.0)))
 ;vla-addEllips <space> <center> (= dxf 10) <major axis> (= dxf 11) <radius ratio> (= dxf 40)
 ;ellipse major ax 1 @ 0,0 , minor ax 0.5 , rotate 30 degrees
 (setq ellObj (vla-AddEllipse spcObj (vlax-3d-point 0 0 0)
  (if (wcmatch blkname "*330")
    (vlax-3d-point -0.433013 0.25 0.0) (vlax-3d-point -0.433013 -0.25 0.0)) 0.5))
 (vla-appendouterloop hatObj
   (vlax-make-variant (vlax-safearray-fill (vlax-make-safearray vlax-vbobject '(0 . 0)) (list ellObj))))
 (vla-Evaluate hatObj)
 (setq blkobj (vla-add (vla-get-blocks docObj) (vlax-3d-point 0 0 0) blkname))
 (vla-copyobjects docObj
   (vlax-safearray-fill (vlax-make-safearray vlax-vbobject '(0 . 1)) (list hatObj linObj)) blkObj)
 (mapcar 'vla-delete (list hatObj ellObj linObj))
 (mapcar '(lambda(x)(vl-catch-all-apply 'vlax-release-object (list x)))
  (list acObj docObj spcObj hatObj linObj ellObj blkObj)))


 

 

I hope some parts of the code fills your need.

 

 

Gr.Rlx

Is this program available to look at?

 

Thanks.

Link to comment
Share on other sites

As an alternate :

 

[b][color=BLACK]([/color][/b]defun c:test [b][color=FUCHSIA]([/color][/b]/ x hx bn ip[b][color=FUCHSIA])[/color][/b]
 [b][color=FUCHSIA]([/color][/b]initget 7[b][color=FUCHSIA])[/color][/b]
 [b][color=FUCHSIA]([/color][/b]setq x [b][color=NAVY]([/color][/b]getdist [color=#2f4f4f]"\nOuter Radius:   "[/color][b][color=NAVY])[/color][/b][b][color=FUCHSIA])[/color][/b]
 [b][color=FUCHSIA]([/color][/b]setq hx [b][color=NAVY]([/color][/b]* x 0.5[b][color=NAVY])[/color][/b][b][color=FUCHSIA])[/color][/b]

 [b][color=FUCHSIA]([/color][/b]entmake [b][color=NAVY]([/color][/b]list [b][color=MAROON]([/color][/b]cons 0 [color=#2f4f4f]"BLOCK"[/color][b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 2 [color=#2f4f4f]"*U"[/color][b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 70 1[b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]list 10 0 0 0[b][color=MAROON])[/color][/b][b][color=NAVY])[/color][/b][b][color=FUCHSIA])[/color][/b]
 [b][color=FUCHSIA]([/color][/b]entmake [b][color=NAVY]([/color][/b]list [b][color=MAROON]([/color][/b]cons 0 [color=#2f4f4f]"POLYLINE"[/color][b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 8 [color=#2f4f4f]"0"[/color][b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 62 2[b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 66 1[b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 10 [b][color=GREEN]([/color][/b]list 0 0 0[b][color=GREEN])[/color][/b][b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 70 1[b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 40 x[b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 41 x[b][color=MAROON])[/color][/b][b][color=NAVY])[/color][/b][b][color=FUCHSIA])[/color][/b]
 [b][color=FUCHSIA]([/color][/b]entmake [b][color=NAVY]([/color][/b]list [b][color=MAROON]([/color][/b]cons 0 [color=#2f4f4f]"VERTEX"[/color][b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 8 [color=#2f4f4f]"0"[/color][b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 62 2[b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 10 [b][color=GREEN]([/color][/b]list [b][color=BLUE]([/color][/b]- hx[b][color=BLUE])[/color][/b] 0 0[b][color=GREEN])[/color][/b][b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 40 x[b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 41 x[b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 42 1[b][color=MAROON])[/color][/b][b][color=NAVY])[/color][/b][b][color=FUCHSIA])[/color][/b]
 [b][color=FUCHSIA]([/color][/b]entmake [b][color=NAVY]([/color][/b]list [b][color=MAROON]([/color][/b]cons 0 [color=#2f4f4f]"VERTEX"[/color][b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 8 [color=#2f4f4f]"0"[/color][b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 62 2[b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 10 [b][color=GREEN]([/color][/b]list hx 0 0[b][color=GREEN])[/color][/b][b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 40 x[b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 41 x[b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 42 1[b][color=MAROON])[/color][/b][b][color=NAVY])[/color][/b][b][color=FUCHSIA])[/color][/b]
 [b][color=FUCHSIA]([/color][/b]entmake [b][color=NAVY]([/color][/b]list [b][color=MAROON]([/color][/b]cons 0 [color=#2f4f4f]"SEQEND"[/color][b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 8 [color=#2f4f4f]"0"[/color][b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 62 2[b][color=MAROON])[/color][/b][b][color=NAVY])[/color][/b][b][color=FUCHSIA])[/color][/b]
 [b][color=FUCHSIA]([/color][/b]setq bn [b][color=NAVY]([/color][/b]entmake [b][color=MAROON]([/color][/b]list [b][color=GREEN]([/color][/b]cons 0 [color=#2f4f4f]"ENDBLK"[/color][b][color=GREEN])[/color][/b][b][color=GREEN]([/color][/b]cons 8 [color=#2f4f4f]"0"[/color][b][color=GREEN])[/color][/b][b][color=MAROON])[/color][/b][b][color=NAVY])[/color][/b][b][color=FUCHSIA])[/color][/b]

 [b][color=FUCHSIA]([/color][/b]while [b][color=NAVY]([/color][/b]setq ip [b][color=MAROON]([/color][/b]getpoint [color=#2f4f4f]"\nINSERT Point <Enter to Exit>   "[/color][b][color=MAROON])[/color][/b][b][color=NAVY])[/color][/b]
        [b][color=NAVY]([/color][/b]entmake [b][color=MAROON]([/color][/b]list [b][color=GREEN]([/color][/b]cons 0 [color=#2f4f4f]"INSERT"[/color][b][color=GREEN])[/color][/b][b][color=GREEN]([/color][/b]cons 2 bn[b][color=GREEN])[/color][/b][b][color=GREEN]([/color][/b]cons 10 ip[b][color=GREEN])[/color][/b][b][color=MAROON])[/color][/b][b][color=NAVY])[/color][/b][b][color=FUCHSIA])[/color][/b]

 [b][color=FUCHSIA]([/color][/b]prin1[b][color=FUCHSIA])[/color][/b][b][color=BLACK])[/color][/b]

 

 

-David

Link to comment
Share on other sites

I'm getting more and more curious as to what Jason is building. From his posts I can't seem to get a picture of it...

 

Hi Iconeo,

Thanks for your help with the dynamic block in the previous post. I'm working with precast concrete panel and just trying to find a way to draft the elevations faster

Link to comment
Share on other sites

As an alternate :

 

[b][color=BLACK]([/color][/b]defun c:test [b][color=FUCHSIA]([/color][/b]/ x hx bn ip[b][color=FUCHSIA])[/color][/b]
 [b][color=FUCHSIA]([/color][/b]initget 7[b][color=FUCHSIA])[/color][/b]
 [b][color=FUCHSIA]([/color][/b]setq x [b][color=NAVY]([/color][/b]getdist [color=#2f4f4f]"\nOuter Radius:   "[/color][b][color=NAVY])[/color][/b][b][color=FUCHSIA])[/color][/b]
 [b][color=FUCHSIA]([/color][/b]setq hx [b][color=NAVY]([/color][/b]* x 0.5[b][color=NAVY])[/color][/b][b][color=FUCHSIA])[/color][/b]

 [b][color=FUCHSIA]([/color][/b]entmake [b][color=NAVY]([/color][/b]list [b][color=MAROON]([/color][/b]cons 0 [color=#2f4f4f]"BLOCK"[/color][b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 2 [color=#2f4f4f]"*U"[/color][b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 70 1[b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]list 10 0 0 0[b][color=MAROON])[/color][/b][b][color=NAVY])[/color][/b][b][color=FUCHSIA])[/color][/b]
 [b][color=FUCHSIA]([/color][/b]entmake [b][color=NAVY]([/color][/b]list [b][color=MAROON]([/color][/b]cons 0 [color=#2f4f4f]"POLYLINE"[/color][b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 8 [color=#2f4f4f]"0"[/color][b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 62 2[b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 66 1[b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 10 [b][color=GREEN]([/color][/b]list 0 0 0[b][color=GREEN])[/color][/b][b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 70 1[b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 40 x[b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 41 x[b][color=MAROON])[/color][/b][b][color=NAVY])[/color][/b][b][color=FUCHSIA])[/color][/b]
 [b][color=FUCHSIA]([/color][/b]entmake [b][color=NAVY]([/color][/b]list [b][color=MAROON]([/color][/b]cons 0 [color=#2f4f4f]"VERTEX"[/color][b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 8 [color=#2f4f4f]"0"[/color][b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 62 2[b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 10 [b][color=GREEN]([/color][/b]list [b][color=BLUE]([/color][/b]- hx[b][color=BLUE])[/color][/b] 0 0[b][color=GREEN])[/color][/b][b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 40 x[b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 41 x[b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 42 1[b][color=MAROON])[/color][/b][b][color=NAVY])[/color][/b][b][color=FUCHSIA])[/color][/b]
 [b][color=FUCHSIA]([/color][/b]entmake [b][color=NAVY]([/color][/b]list [b][color=MAROON]([/color][/b]cons 0 [color=#2f4f4f]"VERTEX"[/color][b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 8 [color=#2f4f4f]"0"[/color][b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 62 2[b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 10 [b][color=GREEN]([/color][/b]list hx 0 0[b][color=GREEN])[/color][/b][b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 40 x[b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 41 x[b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 42 1[b][color=MAROON])[/color][/b][b][color=NAVY])[/color][/b][b][color=FUCHSIA])[/color][/b]
 [b][color=FUCHSIA]([/color][/b]entmake [b][color=NAVY]([/color][/b]list [b][color=MAROON]([/color][/b]cons 0 [color=#2f4f4f]"SEQEND"[/color][b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 8 [color=#2f4f4f]"0"[/color][b][color=MAROON])[/color][/b][b][color=MAROON]([/color][/b]cons 62 2[b][color=MAROON])[/color][/b][b][color=NAVY])[/color][/b][b][color=FUCHSIA])[/color][/b]
 [b][color=FUCHSIA]([/color][/b]setq bn [b][color=NAVY]([/color][/b]entmake [b][color=MAROON]([/color][/b]list [b][color=GREEN]([/color][/b]cons 0 [color=#2f4f4f]"ENDBLK"[/color][b][color=GREEN])[/color][/b][b][color=GREEN]([/color][/b]cons 8 [color=#2f4f4f]"0"[/color][b][color=GREEN])[/color][/b][b][color=MAROON])[/color][/b][b][color=NAVY])[/color][/b][b][color=FUCHSIA])[/color][/b]

 [b][color=FUCHSIA]([/color][/b]while [b][color=NAVY]([/color][/b]setq ip [b][color=MAROON]([/color][/b]getpoint [color=#2f4f4f]"\nINSERT Point <Enter to Exit>   "[/color][b][color=MAROON])[/color][/b][b][color=NAVY])[/color][/b]
        [b][color=NAVY]([/color][/b]entmake [b][color=MAROON]([/color][/b]list [b][color=GREEN]([/color][/b]cons 0 [color=#2f4f4f]"INSERT"[/color][b][color=GREEN])[/color][/b][b][color=GREEN]([/color][/b]cons 2 bn[b][color=GREEN])[/color][/b][b][color=GREEN]([/color][/b]cons 10 ip[b][color=GREEN])[/color][/b][b][color=MAROON])[/color][/b][b][color=NAVY])[/color][/b][b][color=FUCHSIA])[/color][/b]

 [b][color=FUCHSIA]([/color][/b]prin1[b][color=FUCHSIA])[/color][/b][b][color=BLACK])[/color][/b]

 

 

-David

 

Thanks David. The code works!!! I really appreciate all the help from you guys

Link to comment
Share on other sites

Hi Iconeo,

Thanks for your help with the dynamic block in the previous post. I'm working with precast concrete panel and just trying to find a way to draft the elevations faster

 

I can't help but wonder how Iconeo might draw those precast panels? :|

Edited by Dadgad
Link to comment
Share on other sites

I can't help but wonder how Iconeo might draw those precast panels? :|

Woo hoo I guessed right on the rebar embeds!

 

If I had any choice...in Revit [emoji13]

 

If in AutoCAD I usually just use a simple dynamic block with visibility states. Those darn architects are always changing things so it keeps things flexible. Having your panel size change on a 1000' depot isn't fun...

 

I'd handle any arrays outside of the block for flexibility.

 

Cheers!

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...